// Covox.h: interface for the CCovox class.
//


#pragma once

#include "BKSoundDevice.h"

class CCovox : public CBKSoundDevice
{
	public:
		CCovox();
		virtual ~CCovox() override;
		virtual void        ReInit() override;

		virtual void        SetData(const uint16_t inVal) override;
		virtual void        GetSample(sOneSample *pSm) override;
		void                SetAZDataL(const int16_t left);
		void                SetAZDataR(const int16_t right);
		void                SetAZDataLR(const int16_t left, const int16_t right);
};
